%define major	2
%define libname %mklibname pcd %{major}

Summary:	Library for decoding PhotoCD images
Name:		libpcd
Version:	1.0.1
Release:	%mkrel 9
License:	GPLv2
Group:		System/Libraries
URL:		http://linux.bytesex.org/fbida/libpcd.html
Source:		http://dl.bytesex.org/releases/%{name}/%{name}_%{version}.tar.bz2

%description
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.


%package	-n %{libname}
Summary:	Library for decoding PhotoCD images
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

%package	-n %{libname}-devel
Summary:	Development related files of %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
%{name} is a tiny library for decoding PhotoCD images. It used to come
bundled with xpcd, but software maintainer decided to release the library
separately after declaring xpcd obsolete.

This package contains all files you need to compile applications/libraries
that has Photo CD image support.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%make

%install
%makeinstall

%files -n %{libname}
%doc README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%doc pcd.css pcd.html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 357952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.1-8.mga3
+ Revision: 323427
- clean spec
- fix rpm group

* Tue Nov 01 2011 kharec <kharec> 1.0.1-7.mga2
+ Revision: 161117
- imported package libpcd

